IPIVR Upgrade from 3.5.1 to 3.5.4

Unanswered Question

I am running IPCC Enterprise 6.0 with IPIVR 3.5.1 and CAD 6.0. I am looking into upgrading IPIVR to 3.5.4. I have never install or upgrade IPIVR before and hoping someone can give some expert advices on the process. Below are some of the questions that I have.


1) What information do I need before the upgrade ?

2) Do I need to obtain new license key for the upgrade ? or the existing license will be migrated to the new version ?

3) Should I upgrade Windows OS image to the latest version ? I am currently running OS image 2000.2.6 with MSDE

4) Do I need to reinstall CCM JTapi client ?

5) I am running CAD 6.0. Do I need to upgrade CAD agents and CAD supervisors ?

6) what's the backup solution in case the upgrade fails ?


Thank you very much !!! all advices/suggestions will be highly appreiated !!!!


Danny

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
lpezj Thu, 08/16/2007 - 00:50
User Badges:
  • Gold, 750 points or more

Hi,


Upgrading for 3.5.1 to 3.5.4, normally, it is easy. You only must have the appropiate software to do it. Check the CRS software and Hardware Compatibility Guide for the supported OS releases (http://www.cisco.com/application/pdf/en/us/guest/products/ps1846/c1683/ccmigration_09186a008086dfe9.pdf).


Your upgrade is for a minor release, so you don't need to change your existing license. You won't need a new 'lic' file.


You don't need to reinstall JTAPI client. You will only need to do it if you change your Callmanager version.


You don't need to upgrade your CAD versions for agents or supervisors. This is a component that is not related to IP/IVR.


But, always before enay upgrade, make a backup with the BARS utility, backup all the custom scripts (aef) and promts (wav) in a safe place. If something is wrong, you can rebuild the IP/IVR from BARS safely.


Hope this helps,


Juan Luis

Hello Juan ! thank you and I appreciate your response !!! I have gone through the CRS Software and Hardware Compatibility Guide and looked CRS 3.5.4 does support the latest OS release. Do you recommand I upgrade to the latest OS release ? I am currently running OS version 2000.2.6 with MSDE.


and should I patch MSDE as well ? I am not familiar with MSDE. Do you where on Cisco website I can get patches for MSDE ?


thanks again !!!

Danny

lpezj Thu, 08/16/2007 - 22:55
User Badges:
  • Gold, 750 points or more

Hi,


You would need to back up only the hot.


Regarding the patches, in the same page when you can download the OS files, you can access the patches regarding SQL Server and MSDE. Do not install any patch that it has not been posted by Cisco in the web.


Hope this helps,


Juan Luis

(Please, rate helpful posts ;-))

Actions

This Discussion